Description

FreeTDS drive is used by default when create new MSSQL connection under Linux and DSN not using. 

But you can not choose the version of the protocol to be used for communication.

May be the connection form under Linux can have an extra field "Protocol version"?

Associated revisions

Revision c322cd52 - 2012-09-03 11:01 AM - Tamas Szekeres

Specify port 1433 for FreeTDS by default. Allow to specify server/database/uid/password when the driver setting is present (fixes #6259, fixes #6263)

History

#1 - 2012-08-28 12:56 PM - Tamas Szekeres

Did you mean the TDS_Version setting? 

Custom settings can be specified in the Provider/DSN textbox (separated with semicolons) which is used as part of the ODBC connection string. Wouldn't

that be sufficient in this case?

#2 - 2012-09-02 12:46 PM - Evgeniy Nikulin

Yes, its TDS_Version setting.

If I try to specify in Provider/DSN textbox custom settings, I shoud to specify full connection string: 

driver=FreeTDS;TDS_Version=8.0;port=1433;server=192.168.0.1;database=my_db;

In this case, the server and database fields do not work. Imho this is not user-friendly.

I agree with you, the TDS_Version must be specified in Provider/DSN textbox. But why not simply specify:

driver=FreeTDS;TDS_Version=8.0;

?

#3 - 2012-09-03 02:05 AM - Tamas Szekeres

- Status changed from Open to Closed

Fixed in changeset commit:"c322cd52cf82afeb10beefa6efa42da2bdcea46f".
#4 - 2012-09-03 02:07 AM - Tamas Szekeres

Tamas Szekeres wrote:

Fixed in changeset commit:"c322cd52cf82afeb10beefa6efa42da2bdcea46f".

This change should eliminate the requirement to specify the full connection string if the driver setting is present
